Subject: Re: 3945 driver using d80211

From: Johannes Berg <[email-masked]>
Date: Wed, 09 Aug 2006 09:57:12 +0200

Michael Wu wrote:
> I think it would be best if you made the firmware not be aware of a 
> connection, and let the d80211 code take care of all the 
> scanning/authenticating/associating. Of course, I know nothing about 3945, so 
> I don't know if that's possible.
>   
Please not, for now. We need someone pushing for fullmac features in 
d80211, we need those anyway for embedded systems that can't afford 
running all of it on the main CPU. While obviously Intel would benefit 
from doing this since a lot more d80211 features would come available, 
the greater good would be having a main-stream card that someone cares 
about and helps making d80211 full-mac capable.

johannes